// DO NOT EDIT
//   Generated from javascripts/settings/base.coffee
//
(function() {
  var IndexView;
  var __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };
  this.Settings = {};
  IndexView = (function() {
    function IndexView(page) {
      this.page = page;
      this.hideHeader();
      this.hideAccountActionsWhenDisabled();
      this.bindBehaviors();
    }
    IndexView.prototype.hideHeader = function() {
      return $('#subheader').remove();
    };
    IndexView.prototype.hideAccountActionsWhenDisabled = function() {
      var _ref;
      if ((_ref = OF.appConfig) != null ? _ref.disableLogout : void 0) {
        return $('#logout, #switch_account, #remove_account').hide();
      }
    };
    IndexView.prototype.bindProfilePictureAction = function() {
      OF.page.onProfilePictureChanged = function(url) {
        return OF.user.profile_picture_url = url;
      };
      return $("#profile_picture").touch(function() {
        return OF.action('profilePicture', {
          callback: 'OF.page.onProfilePictureChanged'
        });
      });
    };
    IndexView.prototype.bindClientDependentAction = function(actionId, nativeActionName, positiveAction) {
      var _positiveAction;
      _positiveAction = function() {
        return $("#" + actionId).touch(function() {
          return positiveAction();
        });
      };
      if (OF.action.isSupported(nativeActionName)) {
        return OF.action(nativeActionName, {
          callback: function(answer) {
            if (answer) {
              return _positiveAction();
            } else {
              return $("#" + actionId).hide();
            }
          }
        });
      } else {
        return _positiveAction();
      }
    };
    IndexView.prototype.bindLogoutAction = function() {
      return this.bindClientDependentAction('logout', 'canUserLogout', function() {
        return OF.confirm('', 'Are you sure you want to logout from Feint?', 'Ok', 'Cancel', __bind(function() {
          return OF.action('logout');
        }, this));
      });
    };
    IndexView.prototype.bindSwitchAccountAction = function() {
      return this.bindClientDependentAction('switch_account', 'canUserSwitch', function() {
        return OF.confirm('', 'Are you sure you want to logout from Feint?', 'Ok', 'Cancel', __bind(function() {
          return OF.action('introFlow');
        }, this));
      });
    };
    IndexView.prototype.bindParentControlAction = function() {
      return $('#parental_controls').touch(function() {
        var pageType;
        pageType = OF.device.parentalControls ? 'disable' : 'enable';
        return OF.push("settings/parental_controls_" + pageType);
      });
    };
    IndexView.prototype.bindAction = function(actionId) {
      return $("#" + actionId).touch(function() {
        return setTimeout(function() {
          return OF.push("settings/" + actionId);
        }, 300);
      });
    };
    IndexView.prototype.bindBehaviors = function() {
      this.bindProfilePictureAction();
      this.bindAction('secure');
      this.bindAction('password');
      this.bindAction('email');
      this.bindLogoutAction();
      this.bindSwitchAccountAction();
      return this.bindParentControlAction();
    };
    IndexView.prototype.toggleParentControlItem = function() {
      var parentControlSwitchText;
      if (OF.device.parentalControls != null) {
        parentControlSwitchText = OF.device.parentalControls ? 'Off' : 'On';
        return $('#parental_controls .title').text("Turn " + parentControlSwitchText + " Parental Controls");
      } else {
        return $('#parental_controls').hide();
      }
    };
    IndexView.prototype.toggleProfilePictureItem = function() {
      if (OF.device.parentalControls) {
        return $('#profile_picture').hide();
      } else {
        return $('#profile_picture').show();
      }
    };
    IndexView.prototype.setupPersonalSettings = function() {
      return OF.api('/xp/users/me', {
        success: function(data) {
          var emailNode, _ref;
          OF.user = data.user;
          $('#feint_name .subtitle').text(OF.user.name);
          if ((_ref = OF.user.email) != null ? _ref.length : void 0) {
            $("#secure").hide();
            emailNode = $("#email");
            emailNode.children('.subtitle').text(OF.user.email);
            emailNode.unhide();
            $("#password").unhide();
            return $("#forgot_password").unhide();
          } else {
            return $("#secure").unhide();
          }
        }
      });
    };
    IndexView.prototype.onAppear = function() {
      this.toggleParentControlItem();
      this.toggleProfilePictureItem();
      return this.setupPersonalSettings();
    };
    return IndexView;
  })();
  $.extend(this.Settings, {
    IndexView: IndexView
  });
}).call(this);
